<div [ngClass]="['home-list-trending-dataset']">
  @if (vm.listTrendingDataset(); as list) {
    @switch (list.status) {
      @case ('loading') {
        <ng-container *ngTemplateOutlet="loading" />
      }

      @case ('success') {
        @if (list.isFetching) {
          <ng-container *ngTemplateOutlet="loading" />
        } @else if (list.data.list.length > 0) {
          @for (item of list.data.list; track item.id; let isLast = $last) {
            <div
              [ngClass]="[
                jds.py(16),
                !isLast ? jds.borderBottom(1) : '',
                jds.borderColor(jdsBiColor.gray['200'])
              ]"
            >
              <div
                [ngClass]="[
                  jds.d('flex'),
                  jds.alignItems('start'),
                  jds.justifyContent('between'),
                  jds.mb(10)
                ]"
              >
                <a
                  [style.fontFamily]="'Roboto'"
                  [ngClass]="[jds.fw('bold')]"
                  [routerLink]="['/dataset/detail', item.id]"
                >
                  {{ item.name }}
                </a>

                <div
                  [ngClass]="[
                    jds.d('flex'),
                    jds.alignItems('center'),
                    jds.ms(26)
                  ]"
                >
                  <span
                    [colorScheme]="item.getClassification().bgColor"
                    jdsBiBadge
                  >
                    {{ item.dataset_class.name }}
                  </span>
                </div>
              </div>

              <div>
                <div
                  [ngClass]="[
                    jds.d('flex'),
                    jds.alignItems('center'),
                    jds.mb(8)
                  ]"
                >
                  <!-- Dimensi Dataset -->
                  <div
                    [ngClass]="[jds.me(16)]"
                    [popperPlacement]="'top'"
                    [popperTrigger]="'hover'"
                    popper="Dimensi Dataset"
                  >
                    <div
                      [ngClass]="[jds.d('flex')]"
                      [style.verticalAlign]="'middle'"
                    >
                      <jds-bi-icon
                        [ngClass]="[
                          jds.me(6),
                          jds.text(jdsBiColor.gray['600'])
                        ]"
                        name="calendar"
                      />
                      <span
                        [ngClass]="[jds.fs(14)]"
                        [style.position]="'relative'"
                        [style.top.px]="0.5"
                        [style.lineHeight.px]="23"
                      >
                        {{ item.getDimension() }}
                      </span>
                    </div>
                  </div>

                  <!-- Status Dataset -->
                  <div
                    [ngClass]="[jds.me(16)]"
                    [popperPlacement]="'top'"
                    [popperTrigger]="'hover'"
                    popper="Status Dataset"
                  >
                    <span
                      [colorScheme]="item.getStatus().color"
                      [ngClass]="[jds.rounded('pill')]"
                      jdsBiBadge
                      variant="subtle"
                    >
                      <jds-bi-icon
                        [name]="item.getStatus().icon"
                        [ngClass]="[jds.me(4)]"
                      />
                      <span>
                        {{ item.getStatus().name }}
                      </span>
                    </span>
                  </div>

                  <!-- Topik -->
                  <div
                    [ngClass]="[jds.me(16)]"
                    [popperPlacement]="'top'"
                    [popperTrigger]="'hover'"
                    popper="Topik"
                  >
                    <div
                      [ngClass]="[jds.d('flex')]"
                      [style.verticalAlign]="'middle'"
                    >
                      <jds-bi-icon
                        [ngClass]="[
                          jds.me(6),
                          jds.text(jdsBiColor.gray['600'])
                        ]"
                        name="book"
                      />
                      <span
                        [ngClass]="[jds.fs(14)]"
                        [style.position]="'relative'"
                        [style.top.px]="0.5"
                        [style.lineHeight.px]="23"
                      >
                        {{ item.sektoral.name }}
                      </span>
                    </div>
                  </div>

                  <!-- Jumlah Diunduh -->
                  <div
                    [ngClass]="[jds.me(16)]"
                    [popperPlacement]="'top'"
                    [popperTrigger]="'hover'"
                    popper="Jumlah Diunduh"
                  >
                    <div
                      [ngClass]="[jds.d('flex')]"
                      [style.verticalAlign]="'middle'"
                    >
                      <jds-bi-icon
                        [ngClass]="[
                          jds.me(6),
                          jds.text(jdsBiColor.gray['600'])
                        ]"
                        name="circle-down"
                      />
                      <span
                        [ngClass]="[jds.fs(14)]"
                        [style.position]="'relative'"
                        [style.top.px]="0.5"
                        [style.lineHeight.px]="23"
                      >
                        {{ item.count_access_private | number: '1.0-0' : 'id' }}
                      </span>
                    </div>
                  </div>

                  <!-- Dataset Diperbarui -->
                  <div
                    [ngClass]="[jds.me(16)]"
                    [popperPlacement]="'top'"
                    [popperTrigger]="'hover'"
                    popper="Dataset Diperbarui"
                  >
                    <div
                      [ngClass]="[jds.d('flex')]"
                      [style.verticalAlign]="'middle'"
                    >
                      <jds-bi-icon
                        [ngClass]="[
                          jds.me(6),
                          jds.text(jdsBiColor.gray['600'])
                        ]"
                        name="clock-three"
                      />
                      <span
                        [ngClass]="[jds.fs(14)]"
                        [style.position]="'relative'"
                        [style.top.px]="0.5"
                        [style.lineHeight.px]="23"
                      >
                        {{
                          moment(item.mdate).locale('id').format('DD MMMM YYYY')
                        }}
                      </span>
                    </div>
                  </div>
                </div>

                <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
                  <!-- Organisasi -->
                  <div
                    [ngClass]="[jds.me(16)]"
                    [popperPlacement]="'top'"
                    [popperTrigger]="'hover'"
                    popper="Organisasi"
                  >
                    <a [routerLink]="['/organization', item.skpd.id]">
                      <div
                        [ngClass]="[jds.d('flex')]"
                        [style.verticalAlign]="'middle'"
                      >
                        <jds-bi-icon
                          [ngClass]="[
                            jds.me(6),
                            jds.text(jdsBiColor.gray['600'])
                          ]"
                          name="building"
                        />
                        <span
                          [ngClass]="[jds.fs(14)]"
                          [style.position]="'relative'"
                          [style.top.px]="0.5"
                          [style.lineHeight.px]="23"
                        >
                          {{ item.skpd.nama_skpd }}
                        </span>
                      </div>
                    </a>
                  </div>

                  <!-- Kualitas Data -->
                  @if (item.category === 'Data Agregat') {
                    <div
                      [ngClass]="[jds.me(16)]"
                      [popperPlacement]="'top'"
                      [popperTrigger]="'hover'"
                      popper="Kualitas Data"
                    >
                      @if (item.quality_score_point !== 0) {
                        <span
                          *ngIf="item.quality_score_point !== 0"
                          [ngClass]="[
                            jds.alignItems('center'),
                            jds.text(item.getQualityScoreColor())
                          ]"
                          [style.borderColor]="item.getQualityScoreColor()"
                          jdsBiBadge
                          variant="outline"
                        >
                          <svg
                            [ngClass]="[jds.me(8)]"
                            width="10"
                            height="10"
                            viewBox="0 0 10 10"
                            xmlns="http://www.w3.org/2000/svg"
                            fill="currentColor"
                          >
                            <rect
                              width="10"
                              height="10"
                              rx="2"
                            />
                          </svg>
                          {{ item.quality_score_label }}
                        </span>
                      }
                    </div>
                  }
                </div>
              </div>
            </div>
          }
        } @else {
          Tidak ada data.
        }
      }
    }
  }
</div>

<ng-template #loading>
  @for (number of [0, 1]; track $index) {
    <div
      [ngClass]="[
        jds.py(16),
        jds.borderBottom(1),
        jds.borderColor(jdsBiColor.gray['200'])
      ]"
    >
      @for (number of [80, 30, 55]; track $index) {
        <div class="wrapper-skeleton">
          <ngx-skeleton-loader
            [theme]="{
              width: number + '%',
              'border-radius': '0',
              height: '20px',
              'margin-bottom': '0'
            }"
          />
        </div>
      }
    </div>
  }
</ng-template>
